package WEB-INF.classes.wenrgise.hrms.webtier.form;

import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmSepOrderForm extends HrmBaseForm {
  private String orderNo;
  
  private String orderDate;
  
  private String butOrderNo;
  
  private String butOrderDate;
  
  private String disabbutOrderNo;
  
  private String disabbutOrderDate;
  
  private String orderNoId;
  
  private String applicationNo;
  
  private String butApplicationNo;
  
  private String disabbutApplicationNo;
  
  private String dateApplied;
  
  private String initiatedBy;
  
  private String employeeNo;
  
  private String employeeName;
  
  private String sepCat;
  
  private String reqSepDate;
  
  private String reason;
  
  private String actSepDate;
  
  private String butActSepDate;
  
  private String disabbutActSepDate;
  
  private String approvedBy;
  
  private String butApprovedBy;
  
  private String disabbutApprovedBy;
  
  private String remarks;
  
  private String disabremarks;
  
  private String applnId;
  
  private String approverId;
  
  private String empId;
  
  private String sepCatId;
  
  private String disaborderNo;
  
  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    return super.validate(mapping, request);
  }
  
  public String getOrderDate() {
    return this.orderDate;
  }
  
  public void setOrderDate(String newOrderDate) {
    this.orderDate = newOrderDate;
  }
  
  public String getOrderNo() {
    return this.orderNo;
  }
  
  public void setOrderNo(String newOrderNo) {
    this.orderNo = newOrderNo;
  }
  
  public String getButOrderNo() {
    return this.butOrderNo;
  }
  
  public void setButOrderNo(String newButOrderNo) {
    this.butOrderNo = newButOrderNo;
  }
  
  public String getDisabbutOrderNo() {
    return this.disabbutOrderNo;
  }
  
  public void setDisabbutOrderNo(String newDisabbutOrderNo) {
    this.disabbutOrderNo = newDisabbutOrderNo;
  }
  
  public String getButOrderDate() {
    return this.butOrderDate;
  }
  
  public void setButOrderDate(String newButOrderDate) {
    this.butOrderDate = newButOrderDate;
  }
  
  public String getDisabbutOrderDate() {
    return this.disabbutOrderDate;
  }
  
  public void setDisabbutOrderDate(String newDisabbutOrderDate) {
    this.disabbutOrderDate = newDisabbutOrderDate;
  }
  
  public String getOrderNoId() {
    return this.orderNoId;
  }
  
  public void setOrderNoId(String newOrderNoId) {
    this.orderNoId = newOrderNoId;
  }
  
  public String getApplicationNo() {
    return this.applicationNo;
  }
  
  public void setApplicationNo(String newApplicationNo) {
    this.applicationNo = newApplicationNo;
  }
  
  public String getButApplicationNo() {
    return this.butApplicationNo;
  }
  
  public void setButApplicationNo(String newButApplicationNo) {
    this.butApplicationNo = newButApplicationNo;
  }
  
  public String getDisabbutApplicationNo() {
    return this.disabbutApplicationNo;
  }
  
  public void setDisabbutApplicationNo(String newDisabbutApplicationNo) {
    this.disabbutApplicationNo = newDisabbutApplicationNo;
  }
  
  public String getDateApplied() {
    return this.dateApplied;
  }
  
  public void setDateApplied(String newDateApplied) {
    this.dateApplied = newDateApplied;
  }
  
  public String getInitiatedBy() {
    return this.initiatedBy;
  }
  
  public void setInitiatedBy(String newInitiatedBy) {
    this.initiatedBy = newInitiatedBy;
  }
  
  public String getEmployeeNo() {
    return this.employeeNo;
  }
  
  public void setEmployeeNo(String newEmployeeNo) {
    this.employeeNo = newEmployeeNo;
  }
  
  public String getEmployeeName() {
    return this.employeeName;
  }
  
  public void setEmployeeName(String newEmployeeName) {
    this.employeeName = newEmployeeName;
  }
  
  public String getSepCat() {
    return this.sepCat;
  }
  
  public void setSepCat(String newSepCat) {
    this.sepCat = newSepCat;
  }
  
  public String getReqSepDate() {
    return this.reqSepDate;
  }
  
  public void setReqSepDate(String newReqSepDate) {
    this.reqSepDate = newReqSepDate;
  }
  
  public String getReason() {
    return this.reason;
  }
  
  public void setReason(String newReason) {
    this.reason = newReason;
  }
  
  public String getActSepDate() {
    return this.actSepDate;
  }
  
  public void setActSepDate(String newActSepDate) {
    this.actSepDate = newActSepDate;
  }
  
  public String getButActSepDate() {
    return this.butActSepDate;
  }
  
  public void setButActSepDate(String newButActSepDate) {
    this.butActSepDate = newButActSepDate;
  }
  
  public String getDisabbutActSepDate() {
    return this.disabbutActSepDate;
  }
  
  public void setDisabbutActSepDate(String newDisabbutActSepDate) {
    this.disabbutActSepDate = newDisabbutActSepDate;
  }
  
  public String getApprovedBy() {
    return this.approvedBy;
  }
  
  public void setApprovedBy(String newApprovedBy) {
    this.approvedBy = newApprovedBy;
  }
  
  public String getButApprovedBy() {
    return this.butApprovedBy;
  }
  
  public void setButApprovedBy(String newButApprovedBy) {
    this.butApprovedBy = newButApprovedBy;
  }
  
  public String getDisabbutApprovedBy() {
    return this.disabbutApprovedBy;
  }
  
  public void setDisabbutApprovedBy(String newDisabbutApprovedBy) {
    this.disabbutApprovedBy = newDisabbutApprovedBy;
  }
  
  public String getRemarks() {
    return this.remarks;
  }
  
  public void setRemarks(String newRemarks) {
    this.remarks = newRemarks;
  }
  
  public String getDisabremarks() {
    return this.disabremarks;
  }
  
  public void setDisabremarks(String newDisabremarks) {
    this.disabremarks = newDisabremarks;
  }
  
  public String getApplnId() {
    return this.applnId;
  }
  
  public void setApplnId(String newApplnId) {
    this.applnId = newApplnId;
  }
  
  public String getApproverId() {
    return this.approverId;
  }
  
  public void setApproverId(String newApproverId) {
    this.approverId = newApproverId;
  }
  
  public String getEmpId() {
    return this.empId;
  }
  
  public void setEmpId(String newEmpId) {
    this.empId = newEmpId;
  }
  
  public String getSepCatId() {
    return this.sepCatId;
  }
  
  public void setSepCatId(String newSepCatId) {
    this.sepCatId = newSepCatId;
  }
  
  public String getDisaborderNo() {
    return this.disaborderNo;
  }
  
  public void setDisaborderNo(String newDisaborderNo) {
    this.disaborderNo = newDisaborderNo;
  }
}
